#
# spec file for package sgmltools-lite (Version 3.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  docbook-dsssl-stylesheets docbook_3 docbook_4 iso_ent lynx openjade python w3m
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 docbook_4 e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip iso_ent kbd less libtool libz lynx m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openjade pam pam-devel patch perl ps python rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim w3m

Name:         sgmltools-lite
Summary:      SGML Converter Suite
%define sysconfdir /etc/sgml
Version:      3.0.2
Release:      164
Group:      Applications/Publishing
#Requires:   
#Provides:   
Copyright:  GPL
URL:        http://sourceforge.net/projects/sgmltools-lite/
Source:     http://download.sourceforge.net/sgmltools-lite/sgmltools-lite-%{version}.tar.gz
Patch:      sgmltools-lite-html.diff
BuildArchitectures: noarch
BuildRoot:  %{_tmppath}/%{name}-root

%description
Written in Python.

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch -p 1

%build
# `make clean' is needed for 3.0.2 (spurious config.* files)
# 2000-11-02 07:02:08 CET -ke-
make clean
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir} \
            --with-etcsgml=%{sysconfdir}
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
#make install prefix=$RPM_BUILD_ROOT/usr
# make install.man
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%{INSTALL_SCRIPT} bin/sgmltools $RPM_BUILD_ROOT%{_bindir}
%{INSTALL_SCRIPT} bin/sgmlwhich $RPM_BUILD_ROOT%{_bindir}
%define sgmldir %{_datadir}/sgml
%define sgmltoolsdir %{sgmldir}/stylesheets/sgmltools
%define sgmltoolsdtddir %{sgmldir}/dtd/sgmltools
%define sgmltoolspythondir %{sgmldir}/misc/sgmltools/python
%define sgmltoolspythonbackendsdir %{sgmltoolspythondir}/backends
mkdir -p $RPM_BUILD_ROOT%{sgmltoolsdir}
for i in dsssl/*.dsl dsssl/*.cat; do \
  %{INSTALL_DATA} $i $RPM_BUILD_ROOT%{sgmltoolsdir}; \
done
mkdir -p $RPM_BUILD_ROOT%{sgmltoolsdtddir}
for i in dtd/[a-z]*; do \
  %{INSTALL_DATA} $i $RPM_BUILD_ROOT%{sgmltoolsdtddir}; \
done
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%{INSTALL_DATA} man/sgmltools.1 $RPM_BUILD_ROOT%{_mandir}/man1/sgmltools-lite.1
mkdir -p $RPM_BUILD_ROOT%{sgmltoolspythonbackendsdir}
for i in python/*.py; do \
  %{INSTALL_DATA} $i $RPM_BUILD_ROOT%{sgmltoolspythondir}; \
done
for i in python/backends/*.py; do \
  %{INSTALL_DATA} $i $RPM_BUILD_ROOT%{sgmltoolspythonbackendsdir}; \
done
%{INSTALL_DATA} VERSION $RPM_BUILD_ROOT%{sgmldir}/misc/sgmltools
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}
%{INSTALL_DATA} aliases $RPM_BUILD_ROOT%{sysconfdir}/aliases
# install -m 644 catalog.suse $RPM_BUILD_ROOT%{sysconfdir}/catalog
:> $RPM_BUILD_ROOT%{sysconfdir}/catalog
for c in `echo %{sgmldir}/CATALOG.iso_ent \
               %{sgmldir}/CATALOG.docbook-dsssl-stylesheets \
               %{sgmldir}/CATALOG.docbook_[0-9] \
               %{sgmldir}/openjade/catalog \
               %{buildroot}%{sgmltoolsdir}/*cat \
               %{buildroot}%{sgmltoolsdtddir}/catalog*` ; do
  if [ -f $c ] ; then
    # remove %{buildroot} from filenames installed with this package
    echo CATALOG \"$c\" | sed 's:%{buildroot}::' \
      >> $RPM_BUILD_ROOT%{sysconfdir}/catalog
  else
    echo CATALOG $c is missing. && exit 1
  fi
done
# sed 's:/local::' catalog.suse >> $RPM_BUILD_ROOT%{sysconfdir}/catalog

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README POSTINSTALL index.html COPYING
%config %{sysconfdir}/aliases
%config %{sysconfdir}/catalog
%{_bindir}/*
%{_mandir}/*/*
%{sgmldir}/*
# spec file ends here

%changelog -n sgmltools-lite
* Fri Jul 06 2001 - ke@suse.de
- Install manpage as sgmltools-lite to avoid filename conflict
  with package 'sgmltool'; reported by Peter Poeml [#6428].
* Wed Mar 28 2001 - ke@suse.de
- Fix neededforbuild: s/docbkdsl/docbook-dsssl-stylesheets/ .
* Thu Mar 22 2001 - ke@suse.de
- Apply patch received via feedback@suse.de to fix an HTML creation
  problem [#6805]; thanks a lot!
* Wed Mar 14 2001 - ro@suse.de
- dockbk_4 -> docbook_4
* Tue Mar 13 2001 - ro@suse.de
- fixed neededforbuild
* Fri Nov 03 2000 - ke@suse.de
- Initial package: version 3.0.2.
